Bug 229018 - www/node6: Fails to build with OpenSSL 1.1
Summary: www/node6: Fails to build with OpenSSL 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bradley T. Hughes
URL:
Keywords:
Depends on:
Blocks: 228865
  Show dependency treegraph
 
Reported: 2018-06-14 19:54 UTC by Bernard Spil
Modified: 2019-01-23 21:13 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bhughes)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-06-14 19:54:33 UTC
> ./src/node_crypto.h:91:40: error: invalid application of 'sizeof' to an incomplete type 'SSL_CTX' (aka 'ssl_ctx_st')

During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update 12-STABLE to current 1.1.0 and subsequently update it to 1.1.1 when that is released. 

Poudriere log: https://keg.brnrd.eu/data/111amd64-default-openssl110/2018-06-11_10h42m37s/logs/errors/node6-6.14.2.log
Comment 1 Bradley T. Hughes freebsd_committer 2019-01-23 21:13:19 UTC
I've spent some time looking into what to do about this. Node.js 8.x can build with both OpenSSL 1.0.2 and 1.1.x, but those (substantial) changes were not backported to the 6.x line. I have enabled the BUNDLED_SSL option by default on FreeBSD >=12, so that the port will at least build with the default options, but the port uses BROKEN_SSL to inform users that Node.js 6.x requires OpenSSL 1.0.2 in some fashion, either by setting SSL_DEFAULT or by enabling the BUNDLED_SSL port option.